Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] Multiarch für Dumme, Kann mir mal jemand erklären, wie?  (Read 5983 times)

Hardy

  • Guest
[DE] Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #15 on: 2012/11/25, 21:12:31 »
Eine Frage noch: Sind denn schon alle Pakete für Multiarch verfügbar, ich wollte eben libalut0:i386 installieren, das will mir aber die 64 bit Pakete entfernen

darktiger

  • Guest
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #16 on: 2012/11/25, 21:22:37 »
Warum willst Du das 32 bit Paket installieren? Das gibts doch auch in 64 bit. (oder seh ich da was falsch?)
Code: [Select]
apt-get install libalut0

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.941
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #17 on: 2012/11/25, 21:24:45 »
Weil sein ominöses Programm diese lib braucht?
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Hardy

  • Guest
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #18 on: 2012/11/25, 21:26:00 »
Ja, das braucht diese lib.....

darktiger

  • Guest
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #19 on: 2012/11/25, 21:32:20 »
ah, na dann ist ja auch logisch, dass das entsprechende 64 bit Paket deinstalliert werden soll.
Tja, entweder Du kannst auf den 64 bit verzichten oder Du installierst Dir parallel ne 32 bit Version (entweder als dual boot oder über ne virtual machine).

Hardy

  • Guest
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #20 on: 2012/11/25, 21:38:46 »
Ich dachte, multiarch erlaubt die Installation von verschiedenen Versionen einer lib für unterschiedliche Architekturen nebeneinander auf einem System, oder habe ich da etwas falsch verstanden?

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.941
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #21 on: 2012/11/25, 21:39:24 »
@darktiger

Kannst Du bitte aufhören, Halbwissen zu verbreiten?
Natürlich ist es normal möglich, die 32Bit Version einer lib parallel zu installieren. Das geht nur dann nicht, wenn das Paket selbst nicht als Multiarch-kompatibel getaggt ist.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Hardy

  • Guest
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #22 on: 2012/11/25, 21:43:27 »
Ich verbreite kein Halbwissen, ich frage um mehr über multiarch und den Umgang damit zu erfahren, und ich danke euch allen für die Beantwortung meiner Fragen und für eure Benühungen, mir zu helfen. Dann ist es wohl so, das die libalut0 noch nicht multiarch-Kompatibel ist, oder?.

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.941
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #23 on: 2012/11/25, 21:44:27 »
Ich hatte eigentlich darktiger gemaint, mit dem Halbwissen, Dein Post kam da leider dazwischen.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

darktiger

  • Guest
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #24 on: 2012/11/25, 21:45:52 »
Nein, Hardy, er meinte mich. Sorry, ich dachte, dass die 32 bit Pakete dann als Ersatz für die 64 bit Pakete installiert werden müssen.

Hardy

  • Guest
Multiarch für Dumme, Kann mir mal jemand erklären, wie?
« Reply #25 on: 2012/11/25, 21:55:18 »
Also, abschliessend für mich Dussel: Es sind noch nicht alle Pakete multiarch-kompatibel und da hilft nur Geduld?